package com.artfess.easyExcel.annotaion;


import com.artfess.easyExcel.service.ExcelDynamicSelect;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 标注导出的列为下拉框类型，并为下拉框设置内容
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface ExcelSelected {
	/**
	 * 固定下拉内容
	 */
	String[] source() default {};

	/**
	 * 字典key
	 */
	String dictKey() default "";

	/**
	 * 动态下拉内容
	 */
	Class<? extends ExcelDynamicSelect>[] sourceClass() default {};

	/**
	 * 设置下拉框的起始行，默认为第二行
	 */
	int firstRow() default 1;

	/**
	 * 设置下拉框的结束行，默认为最后一行
	 */
	int lastRow() default 0x10000;
}
